Subject: bug#1506 closed by Chong Yidong <[email-masked]> (Re: 23.0.60; Info-find-file: Info file emacs does not exist)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1506: 23.0.60; Info-find-file: Info file emacs does not exist

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
1506: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1506
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Sat Dec  6 17:07:49 2008
From: Chong Yidong <[email-masked]>
To: "Eric Hanchrow" <[email-masked]>
Cc: [email-masked]
Subject: Re: 23.0.60; Info-find-file: Info file emacs does not exist
Date: Sat, 06 Dec 2008 20:07:50 -0500

"Eric Hanchrow" <[email-masked]> writes:

>> Do the info files exist?
>
> Nope.
>
>> Note that "make" does not rebuild the manuals; you have to do "make
>> info".
>
> Aha!  I didn't know that.  When did that change?

I don't recall.  Note, also, that "make install" and "make bootstrap"
will also make the info files.

>From [email-masked] Sat Dec  6 09:05:49 2008
Date: Sat, 6 Dec 2008 09:05:41 -0800
From: "Eric Hanchrow" <[email-masked]>
To: [email-masked]
Subject: 23.0.60; Info-find-file: Info file emacs does not exist

This is a very recent CVS emacs, although I got it from
git://git.sv.gnu.org/emacs.git

commit 148c75e34498b10f5722aadb928b079c311177f3
Author: Chong Yidong <[email-masked]>
Date:   Sat Dec 6 03:57:16 2008 +0000

    (terminal-init-xterm): Discard pending input before reading a reply to
    the terminal attributes query.

:100644 100644 b01adf4... e893f88... M	lisp/term/xterm.el

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I invoked emacs with "emacs -Q"
I typed C-h r, hoping to read the Emacs manual
Instead I got the error in the Subject: line.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/src/emacs-with-my-tweaks.git/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.1 (i686-pc-linux-gnu, GTK+ Version 2.14.4)
 of 2008-12-06 on enver-laptop
Windowing system distributor `The X.Org Foundation', version 11.0.10502000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-h r C-x C-g M-x r e p o r <tab> <return> " I n f
o C-g C-x b m e s s <tab> C-a * <tab> C-k M e <tab>
<return> C-p C-p C-SPC C-e M-w M-x M-p <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Info-find-file: Info file emacs does not exist
Quit
Mark set